import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        String strA = nextToken();
        String strB = nextToken();
        List<Integer> aTemp = strA.chars().mapToObj(c -> c - '0'). toList();
        List<Integer> a = new ArrayList<>(aTemp.subList(0, aTemp.size()));
        Collections.reverse(a);
        List<Integer> bTemp = strB.chars().mapToObj(c -> c - '0'). toList();
        List<Integer> b = new ArrayList<>(bTemp.subList(0, bTemp.size()));
        Collections.reverse(b);
        boolean aIsBigger = strA.length() > strB.lenght();

        List<Integer> sum = new ArrayList<>();
        for (int i = 0; i < Math.min(strA.length(), strB.length()); i++) {
            sum.add(Math.max(a.get(i), b.get(i)));
        }
        for (int i = Math.min(strA.length(), strB.length()); i < Math.max(strA.length(), strB.length()); i++) {
            if (aIsBigger) {
                sum.add(a.get(i));
            } else {
                sum.add(b.get(i));
            }
        }
        Collections.reverse(sum);
        sum.forEach(System.out::print);
        System.out.print(" ");
        
        int maxLength = 0;
        List<List<Integer>> mulParts = new ArrayList<>();
        for (int i = 0; i < strA.length(); i++) {
            List<Integer> mulPart = new ArrayList<>();
            for (int k = 0; k < i; k++) {
                mulPart.add(0);
            }
            for (int j = 0; j < strB.length(); j++) {
                mulPart.add(Math.min(a.get(i), b.get(i)));
            }
            if (mulPart.size() > maxLength) {
                maxLength = mulPart.size();
            }
            mulParts.add(mulPart);
       }
       List<Integer> mul = new ArrayList<>();
       for (int i = 0; i < maxLength; i++) {
           int curSum = 0;
           for (List<Integer> mulPart : mulParts) {
               if (i < mulPart.size()) {
                   curSum = Math.max(curSum, mulPart.get(i));
               }
           }
           mul.add(curSum);
       }
       Collections.reverse(sum);
       mul.forEach(System.out::print);
       System.out.println();
       
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}